package com.plannaplan.controllers;

import java.util.List;

import com.plannaplan.entities.Groups;
import com.plannaplan.services.GroupService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
public class GroupController {
    @Autowired
    private GroupService groupService;

    @GetMapping("/getCourseGroups")
    public ResponseEntity<List<Groups>> getCourses(@RequestParam("id") Long id) {
        return new ResponseEntity<>(this.groupService.getGroupsByCourse(id), HttpStatus.OK);
    }
}